Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Class BrokenLinkProvider

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.BrokenLinkProvider

Direct Known Subclasses:
  DefaultBrokenLinkProvider

    public abstract class BrokenLinkProvider

extends Object

This interface is to be used to provide alternate ways of generating a placeholder image when the ImageTagRegistry fails to handle a given reference.

Field Summary
`static String` | `BROKEN_LINK_PROPERTY` The image returned by getBrokenLinkImage should always return some value when queried for the BROKEN_LINK_PROPERTY.

Constructor Summary
`BrokenLinkProvider()`

Method Summary
`abstract Filter` | `getBrokenLinkImage(Object base, String code, Object[] params)` This method is responsbile for constructing an image that will represent the missing image in the document.
`static boolean` | `hasBrokenLinkProperty(Filter f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKEN_LINK_PROPERTY

    public static final String BROKEN_LINK_PROPERTY

  The image returned by getBrokenLinkImage should always return some value when queried for the BROKEN_LINK_PROPERTY. This allows code the determine if the image is the 'real' image or the broken link image, which may be important for the application of profiles etc.

  See Also:
    Constant Field Values

Constructor Detail

### BrokenLinkProvider

    public BrokenLinkProvider()

Method Detail

### getBrokenLinkImage

    public abstract Filter getBrokenLinkImage(Object base,
                                              String code,
                                              Object[] params)

  This method is responsbile for constructing an image that will represent the missing image in the document. This method recives information about the reason a broken link image is being requested in the `code` and `params` parameters. These parameters may be used to generate nicely localized messages for insertion into the broken link image, or for selecting the broken link image returned.

  Parameters:
    `base` - The object to use for Message decoding.
    `code` - This is the reason the image is unavailable should be taken from ErrorConstants.
    `params` - This is more detailed information about the circumstances of the failure.

### hasBrokenLinkProperty

    public static boolean hasBrokenLinkProperty(Filter f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.